- page_title "Members"
- can_manage_members = can?(current_user, :admin_group_member, @group)

.project-members-page.prepend-top-default
  %h4
    Members
  %hr
  - if can_manage_members
    .project-members-new.append-bottom-default
      %p.clearfix
        Add new member to
        %strong= @group.name
      = render "new_group_member"

    = render 'shared/members/requests', membership_source: @group, requesters: @requesters

  = render 'ldap_sync'

  .clearfix
    %h5.member.existing-title
      Existing members
  .card
    .card-header.flex-project-members-panel
      %span.flex-project-title
        Members with access to
        %strong= @group.name
      %span.badge.badge-pill= @members.total_count
      = form_tag group_group_members_path(@group), method: :get, class: 'form-inline member-search-form flex-project-members-form' do
        .form-group
          .position-relative.append-right-8
            = search_field_tag :search, params[:search], { placeholder: 'Find existing members by name', class: 'form-control', spellcheck: false }
            %button.member-search-btn{ type: "submit", "aria-label" => "Submit search" }
              = icon("search")
          - if can_manage_members
            = render 'shared/members/filter_2fa_dropdown'
          = render 'shared/members/sort_dropdown'
    %ul.content-list.members-list
      = render partial: 'shared/members/member', collection: @members, as: :member
    = paginate @members, theme: 'gitlab'
